Bug 234991 - www/kanboard: Update to 1.2.7
Summary: www/kanboard: Update to 1.2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-16 08:13 UTC by Alexander
Modified: 2019-02-05 00:12 UTC (History)
3 users (show)

See Also:


Attachments
update-kanboard-to-1.2.7.diff (3.02 KB, patch)
2019-01-16 08:13 UTC, Alexander
swills: maintainer-approval? (bsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2019-01-16 08:13:07 UTC
Created attachment 201180 [details]
update-kanboard-to-1.2.7.diff

Update to actual mainstream version.

Kanboard 1.2.7 (released Dec 20, 2018) 

•Write log entry on file removal
•Auto link duplicated tasks
•Auto link tasks duplicated to another project
•Auto link tasks created from a subtask
•Redirect to board view of the current task after duplication
•Fix broken link to contributor page
•Add automatic action for moving a task to a swimlane based on category change
•Add automatic action to assign a category based on swimlane change
•Add ordering comments by id along with creation date
•Fix custom roles duplication (source and destination column_id)
•Add locale en_GB
•New automatic action: move the task to another swimlane when assigned
•Disable php_uname() warning for restrictive environments
•Add hook to board settings
•Add method remove() to settings model
•Add php7-bcmath to Docker image
•Add sorting by reference in list view
•Added priority, swimlane, and column values from parent task to task converted from subtask
•Update translations
Comment 1 Alexander 2019-01-28 11:59:31 UTC
kanboard 1.2.7 tested on 11.2 and works without any issues.
Comment 2 commit-hook freebsd_committer 2019-02-04 23:20:22 UTC
A commit references this bug:

Author: swills
Date: Mon Feb  4 23:19:47 UTC 2019
New revision: 492177
URL: https://svnweb.freebsd.org/changeset/ports/492177

Log:
  www/kanboard: update to 1.2.7

  PR:		234991
  Submitted by:	Alexander <sa.inbox@gmail.com>
  Approved by:	maintainer timeout (bsd@if0.eu, >2 weeks)

Changes:
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-02-05 00:12:29 UTC
Committed, thanks!